Index: issm/trunk-jpl/src/ad/validation/Update/update.m
===================================================================
--- issm/trunk-jpl/src/ad/validation/Update/update.m	(revision 15563)
+++ issm/trunk-jpl/src/ad/validation/Update/update.m	(revision 15564)
@@ -4,5 +4,5 @@
 md=setmask(md,'all','');
 md=parameterize(md,'SquareShelfConstrained.par');
-md=setflowequation(md,'macayeal','all');
+md=setflowequation(md,'SSA','all');
 md.cluster=generic('name',oshostname(),'np',3);
 md.cluster.executionpath=[issmtier() '/src/ad/validation/Validation/'];
Index: issm/trunk-jpl/src/c/analyses/AnalysisConfiguration.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/AnalysisConfiguration.cpp	(revision 15563)
+++ issm/trunk-jpl/src/c/analyses/AnalysisConfiguration.cpp	(revision 15564)
@@ -30,5 +30,5 @@
 			analyses[0]=DiagnosticHorizAnalysisEnum;
 			analyses[1]=DiagnosticVertAnalysisEnum;
-			analyses[2]=DiagnosticHutterAnalysisEnum;
+			analyses[2]=DiagnosticSIAAnalysisEnum;
 			analyses[3]=SurfaceSlopeAnalysisEnum;
 			analyses[4]=BedSlopeAnalysisEnum;
@@ -40,5 +40,5 @@
 			analyses[0]=DiagnosticHorizAnalysisEnum;
 			analyses[1]=DiagnosticVertAnalysisEnum;
-			analyses[2]=DiagnosticHutterAnalysisEnum;
+			analyses[2]=DiagnosticSIAAnalysisEnum;
 			analyses[3]=SurfaceSlopeAnalysisEnum;
 			analyses[4]=BedSlopeAnalysisEnum;
@@ -112,5 +112,5 @@
 			analyses[0]=DiagnosticHorizAnalysisEnum;
 			analyses[1]=DiagnosticVertAnalysisEnum;
-			analyses[2]=DiagnosticHutterAnalysisEnum;
+			analyses[2]=DiagnosticSIAAnalysisEnum;
 			analyses[3]=SurfaceSlopeAnalysisEnum;
 			analyses[4]=BedSlopeAnalysisEnum;
Index: issm/trunk-jpl/src/c/analyses/adjointdiagnostic_core.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/adjointdiagnostic_core.cpp	(revision 15563)
+++ issm/trunk-jpl/src/c/analyses/adjointdiagnostic_core.cpp	(revision 15564)
@@ -13,10 +13,10 @@
 
 	/*parameters: */
-	bool isstokes;
+	bool isFS;
 	bool save_results;
 	bool conserve_loads   = true;
 
 	/*retrieve parameters:*/
-	femmodel->parameters->FindParam(&isstokes,FlowequationIsstokesEnum);
+	femmodel->parameters->FindParam(&isFS,FlowequationIsFSEnum);
 	femmodel->parameters->FindParam(&save_results,SaveResultsEnum);
 
@@ -39,5 +39,5 @@
 		InputToResultx(femmodel->elements,femmodel->nodes,femmodel->vertices,femmodel->loads,femmodel->materials,femmodel->parameters,AdjointxEnum);
 		InputToResultx(femmodel->elements,femmodel->nodes,femmodel->vertices,femmodel->loads,femmodel->materials,femmodel->parameters,AdjointyEnum);
-		if (isstokes){
+		if (isFS){
 			InputToResultx(femmodel->elements,femmodel->nodes,femmodel->vertices,femmodel->loads,femmodel->materials,femmodel->parameters,AdjointzEnum);
 			InputToResultx(femmodel->elements,femmodel->nodes,femmodel->vertices,femmodel->loads,femmodel->materials,femmodel->parameters,AdjointpEnum);
Index: issm/trunk-jpl/src/c/analyses/control_core.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/control_core.cpp	(revision 15563)
+++ issm/trunk-jpl/src/c/analyses/control_core.cpp	(revision 15564)
@@ -24,5 +24,5 @@
 	int        dim;
 	int        solution_type;
-	bool       isstokes;
+	bool       isFS;
 	bool       dakota_analysis = false;
 
@@ -57,5 +57,5 @@
 	femmodel->parameters->FindParam(&dim,MeshDimensionEnum);
 	femmodel->parameters->FindParam(&solution_type,SolutionTypeEnum);
-	femmodel->parameters->FindParam(&isstokes,FlowequationIsstokesEnum);
+	femmodel->parameters->FindParam(&isFS,FlowequationIsFSEnum);
 	femmodel->parameters->FindParam(&dakota_analysis,QmuIsdakotaEnum);
 	femmodel->parameters->SetParam(false,SaveResultsEnum);
@@ -67,5 +67,5 @@
 	/*Launch once a complete solution to set up all inputs*/
 	if(VerboseControl()) _printf0_("   preparing initial solution\n");
-	if(isstokes) solutioncore(femmodel);
+	if(isFS) solutioncore(femmodel);
 
 	/*Initialize responses: */
Index: issm/trunk-jpl/src/c/analyses/diagnostic_core.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/diagnostic_core.cpp	(revision 15563)
+++ issm/trunk-jpl/src/c/analyses/diagnostic_core.cpp	(revision 15564)
@@ -15,5 +15,5 @@
 	bool  dakota_analysis;
 	int   dim;
-	bool  ishutter,ismacayeal,isl1l2,ispattyn,isstokes;
+	bool  isSIA,isSSA,isL1L2,isHO,isFS;
 	bool  conserve_loads    = true;
 	bool  save_results;
@@ -25,9 +25,9 @@
 	/* recover parameters:*/
 	femmodel->parameters->FindParam(&dim,MeshDimensionEnum);
-	femmodel->parameters->FindParam(&ishutter,FlowequationIshutterEnum);
-	femmodel->parameters->FindParam(&ismacayeal,FlowequationIsmacayealEnum);
-	femmodel->parameters->FindParam(&isl1l2,FlowequationIsl1l2Enum);
-	femmodel->parameters->FindParam(&ispattyn,FlowequationIspattynEnum);
-	femmodel->parameters->FindParam(&isstokes,FlowequationIsstokesEnum);
+	femmodel->parameters->FindParam(&isSIA,FlowequationIsSIAEnum);
+	femmodel->parameters->FindParam(&isSSA,FlowequationIsSSAEnum);
+	femmodel->parameters->FindParam(&isL1L2,FlowequationIsL1L2Enum);
+	femmodel->parameters->FindParam(&isHO,FlowequationIsHOEnum);
+	femmodel->parameters->FindParam(&isFS,FlowequationIsFSEnum);
 	femmodel->parameters->FindParam(&newton,DiagnosticIsnewtonEnum);
 	femmodel->parameters->FindParam(&dakota_analysis,QmuIsdakotaEnum);
@@ -46,6 +46,6 @@
 
 	/*Compute slopes: */
-	if(ishutter) surfaceslope_core(femmodel);
-	if(isstokes){
+	if(isSIA) surfaceslope_core(femmodel);
+	if(isFS){
 		bedslope_core(femmodel);
 		femmodel->SetCurrentConfiguration(DiagnosticHorizAnalysisEnum);
@@ -53,15 +53,15 @@
 	}
 
-	if(ishutter){
-		if(VerboseSolution()) _printf0_("   computing hutter velocities\n");
+	if(isSIA){
+		if(VerboseSolution()) _printf0_("   computing SIA velocities\n");
 
 		/*Take the last velocity into account so that the velocity on the MacAyeal domain is not zero*/
-		if(ismacayeal || isl1l2 || ispattyn ) ResetBoundaryConditions(femmodel,DiagnosticHutterAnalysisEnum);
-		femmodel->SetCurrentConfiguration(DiagnosticHutterAnalysisEnum);
+		if(isSSA || isL1L2 || isHO ) ResetBoundaryConditions(femmodel,DiagnosticSIAAnalysisEnum);
+		femmodel->SetCurrentConfiguration(DiagnosticSIAAnalysisEnum);
 		solutionsequence_linear(femmodel);
-		if(ismacayeal || isl1l2 || ispattyn) ResetBoundaryConditions(femmodel,DiagnosticHorizAnalysisEnum);
+		if(isSSA || isL1L2 || isHO) ResetBoundaryConditions(femmodel,DiagnosticHorizAnalysisEnum);
 	}
 
-	if ((ismacayeal || ispattyn || isl1l2) ^ isstokes){ // ^ = xor
+	if ((isSSA || isHO || isL1L2) ^ isFS){ // ^ = xor
 		if(VerboseSolution()) _printf0_("   computing velocities\n");
 
@@ -73,10 +73,10 @@
 	}
 
-	if ((ismacayeal || isl1l2 || ispattyn) && isstokes){
-		if(VerboseSolution()) _printf0_("   computing coupling betweem lower order models and full-Stokes\n");
-		solutionsequence_stokescoupling_nonlinear(femmodel,conserve_loads);
+	if ((isSSA || isL1L2 || isHO) && isFS){
+		if(VerboseSolution()) _printf0_("   computing coupling betweem lower order models and full-FS\n");
+		solutionsequence_FScoupling_nonlinear(femmodel,conserve_loads);
 	}
 
-	if (dim==3 & (ishutter || ismacayeal || isl1l2 || ispattyn)){
+	if (dim==3 & (isSIA || isSSA || isL1L2 || isHO)){
 		if(VerboseSolution()) _printf0_("   computing vertical velocities\n");
 		femmodel->SetCurrentConfiguration(DiagnosticVertAnalysisEnum);
Index: issm/trunk-jpl/src/c/analyses/objectivefunction.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/objectivefunction.cpp	(revision 15563)
+++ issm/trunk-jpl/src/c/analyses/objectivefunction.cpp	(revision 15564)
@@ -24,5 +24,5 @@
 	/*parameters: */
 	int        solution_type,analysis_type;
-	bool       isstokes       = false;
+	bool       isFS       = false;
 	bool       conserve_loads = true;
 	FemModel  *femmodel       = NULL;
@@ -32,5 +32,5 @@
 
 	/*Recover parameters: */
-	femmodel->parameters->FindParam(&isstokes,FlowequationIsstokesEnum);
+	femmodel->parameters->FindParam(&isFS,FlowequationIsFSEnum);
 	femmodel->parameters->FindParam(&analysis_type,AnalysisTypeEnum);
 	femmodel->parameters->FindParam(&solution_type,SolutionTypeEnum);
